// file: trace_projector.cc
//
// this utility does trace projection decoding
//

// isip include files
//
#include "trace_projection.h"
#include <time.h>

// main program
//
int main(int_4 argc, char_1** argv) {

  // variables to hold commandline parameters
  //
  char_1* params_file = (char_1*)NULL;
  logical_1 demo_flag = ISIP_FALSE;

  // read and decipher the commandline
  //
  read_cmdline_cc(argc, argv, params_file, demo_flag);

  Trace_projector tp(params_file, demo_flag);
    
  delete [] params_file;
  params_file = (char_1*)NULL;
  
  // run the system and exit
  //
  if (tp.compute_cc() == ISIP_TRUE) {
     exit(ISIP_NO_ERROR);
  }
  else {
     exit(ISIP_PROTO_ERROR);
  }
}
